package app

import (
	"github.com/urfave/cli"
)

var AppCommand = cli.Command{
	Name:        "app",
	Aliases:     []string{"a"},
	Usage:       "Manage apps",
	ArgsUsage:   "<domain>",
	Description: "Functionality for managing the life cycle of your apps",
	Subcommands: []cli.Command{
		appNewCommand,
		appConfigCommand,
		appRestartCommand,
		appDeployCommand,
		appUpgradeCommand,
		appUndeployCommand,
		appRemoveCommand,
		appCheckCommand,
		appListCommand,
		appPsCommand,
		appLogsCommand,
		appCpCommand,
		appRunCommand,
		appRollbackCommand,
		appSecretCommand,
		appVolumeCommand,
		appVersionCommand,
		appErrorsCommand,
		appCmdCommand,
		appBackupCommand,
		appRestoreCommand,
	},
}
