package server

import (
	"github.com/urfave/cli"
)

// ServerCommand defines the `abra server` command and its subcommands
var ServerCommand = cli.Command{
	Name:    "server",
	Aliases: []string{"s"},
	Usage:   "Manage servers",
	Description: `
Create, manage and remove servers using 3rd party integrations. 

Servers can be created from scratch using the "abra server new" command. If you
already have a server, you can add it to your configuration using "abra server
add". Abra can provision servers so that they are ready to deploy Co-op Cloud
recipes, see available flags on "abra server add" for more.
`,
	Subcommands: []cli.Command{
		serverNewCommand,
		serverAddCommand,
		serverListCommand,
		serverRemoveCommand,
	},
}
