package client

import (
	"context"

	"github.com/docker/docker/api/types/swarm"
)

func StoreSecret(secretName, secretValue, server string) error {
	cl, err := New(server)
	if err != nil {
		return err
	}

	ctx := context.Background()
	ann := swarm.Annotations{Name: secretName}
	spec := swarm.SecretSpec{Annotations: ann, Data: []byte(secretValue)}

	// We don't bother with the secret IDs for now
	if _, err := cl.SecretCreate(ctx, spec); err != nil {
		return err
	}

	return nil
}
