# integration tests

> You need to be a member of Autonomic Co-op to run these tests, sorry!

`testfunctions.sh` contains the functions necessary to save and manipulate
logs. Run `test_all.sh logdir` to run tests specified in that file and save the
logs to `logdir`.

When creating new tests, make sure the test command is a one-liner (you can use
`;` to separate commands). Include `testfunctions.sh` and then write your tests
like this:

```
run_test '$ABRA other stuff here'
```

By default, the testing script will ask after every command if the execution
succeeded. If you reply `n`, it will log the test in the `logdir`. If you want
all tests to run without questions, run `export logall=yes` before executing
the test script.

To run tests, you'll need to prepare your environment:

```
cp .envrc.sample .envrc # fill out values...
direnv allow
./test_all.sh logs
```
