#!/bin/bash

if [ -z $1 ]; then
    echo "usage: ./test_all.sh logdir"
    exit
fi

res_dir=$1/
if [[ ! -d "$res_dir" ]]; then
    mkdir "$res_dir"
fi

# Usage: run_test [number] [name] [command]
run_test () {
    logfile="$res_dir/$1-$2.log"
    echo $logfile
}

testScripts=("app.sh" "autocomplete.sh" "catalogue.sh" "install.sh" "recipe.sh" "records.sh" "server.sh", "cmd.sh")

for i in "${testScripts[@]}"; do
    cmd="./$i $res_dir${i/sh/log}"
    eval $cmd
done
